package interfaces

import (
	"58team_blog/internal/application/services"
	"58team_blog/internal/interfaces/api/controllers"

	"github.com/gin-gonic/gin"
)

func BindPostAdmin(service *services.PostService, group *gin.RouterGroup) {
	post := controllers.CreatePostController(service)

	g := group.Group("/post")
	g.GET("/", post.GetAllPost)
	g.GET("/:id", post.GetByIdPost)
	g.POST("/", post.PostPost)
	g.PUT("/:id", post.PutPost)
}
